## king-probe 02.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)
project(probe)

if (WIN32)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif ()

set(probe_SOURCES
	abin.c
	atomprops.c
	autobondrot.c
	dots.c
	geom3d.c
	hybrid_36_c.c
	readPDBrecs.c
	parse.c
	select.c
	stdconntable.c
	utility.c
	probe.c
)

set(probe_HEADERS
	abin.h
	atomprops.h
	autobondrot.h
	dots.h
	geom3d.h
	hybrid_36_c.h
	parse.h
	readPDBrecs.h
	select.h
	stdconntable.h
	utility.h
)

add_executable(probe ${probe_SOURCES} ${probe_HEADERS})
if (NOT WIN32)
  target_link_libraries(probe m)
endif()

=== Makefile ===
MACHINEFLAGS = 
CFLAGS = $(MACHINEFLAGS)
LFLAGS = -lm $(MACHINEFLAGS)
OBJLIST = dots.o abin.o readPDBrecs.o geom3d.o utility.o select.o \
	 parse.o atomprops.o stdconntable.o autobondrot.o hybrid_36_c.o

.c.o:
	cc -c $*.c $(CFLAGS)

probe: probe.o $(OBJLIST)
	cc -o $@ probe.o $(OBJLIST) $(LFLAGS)

clean:
	@rm -f *.o *.ckp

install: probe
	mv probe /local/bin

installtest: probe
	mv probe /local/bin/probeTest

# DO NOT DELETE THIS LINE -- make depend uses it
abin.o:	./abin.h	./geom3d.h	./utility.h	abin.c
atomprops.o:	./atomprops.h	atomprops.c
autobondrot.o:	./abin.h	./autobondrot.h	./geom3d.h	./readPDBrecs.h \
		./utility.h	autobondrot.c
dots.o:	./dots.h	./geom3d.h	dots.c
geom3d.o:	./geom3d.h	geom3d.c
parse.o:	./parse.h	./utility.h	parse.c
probe.o:	./abin.h	./atomprops.h	./autobondrot.h	./dots.h	./geom3d.h \
		./parse.h	./probe.h	./readPDBrecs.h	./select.h \
		./stdconntable.h	./utility.h	probe.c
readPDBrecs.o:	./geom3d.h	./readPDBrecs.h	./utility.h	./hybrid_36_c.h readPDBrecs.c
select.o:	./abin.h	./atomprops.h	./geom3d.h	./parse.h	./select.h \
		./stdconntable.h	./utility.h	select.c
stdconntable.o:	./stdconntable.h	stdconntable.c
utility.o:	utility.c
hybrid_36_c.o:  ./hybrid_36_c.h	hybrid_36_c.c
# DO NOT DELETE THIS 2nd LINE -- make depend uses it

## king-probe 2.13.110909

=== debian/changelog ===
king-probe (2.13.110909-1) unstable; urgency=low

  * Initial release. (Closes: #797465)

 -- Malihe Asemani <ml.asemani@gmail.com>  Tue, 01 Sep 2015 21:21:33 +0200

=== debian/control ===
Source: king-probe
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Malihe Asemani <ml.asemani@gmail.com>,
	   Andreas Tille <tille@debian.org>,
           Michael Prisant <michael.prisant@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/king-probe.git
Vcs-Git: git://anonscm.debian.org/debian-med/king-probe.git
Homepage: http://kinemage.biochem.duke.edu/software/probe.php

Package: king-probe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Evaluate and visualize protein interatomic packing
 king-probe is a program that allows one to evaluate atomic packing, either
 within or between molecules. It generates "contact dots" where
 atoms are in close contact.
 .
 The program king-probe generates "contact dots" at points on the van der
 Waals surface of atoms which are in close proximity to other atoms; reading
 atomic coordinates in protein databank (PDB) format files and writing
 color-coded dot lists (spikes where atoms clash) for inclusion in a
 kinemage.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# some helpful variables - uncomment them if needed
# shamelessly stolen from http://jmtd.net/log/awk/
#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
#GIT_TAG        := $(subst ~,_,$(VERSION))

# alternatively to manually set those variables you can
#  include /usr/share/cdbs/1/rules/buildvars.mk
# and use what is set there.  Any hint whether dh might set variables in
# a similar manner are welcome.

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f Makefile.linux probe

override_dh_auto_clean:
	dh_auto_clean
	rm -f probe

override_dh_auto_install:

=== debian/watch ===
version=3

http://kinemage.biochem.duke.edu/software/probe.php .*/downloads/software/probe/probe.([\d.]+)\.src\.(tgz|zip)

# if there would be release tags ...
# https://github.com/rlabduke/probe/releases .*/archive/#PREFIX#(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## king-probe 2.16.160404+git20180613.a09b012

=== debian/changelog ===
king-probe (2.16.160404+git20180613.a09b012-1) unstable; urgency=medium

  * Use git mode in watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 09:08:29 +0200

king-probe (2.13.110909-2) unstable; urgency=medium

  * Fix watch file
  * cme fix dpkg-control
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2016 18:26:27 +0200

=== debian/control ===
Source: king-probe
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Malihe Asemani <ml.asemani@gmail.com>,
           Andreas Tille <tille@debian.org>,
           Michael Prisant <michael.prisant@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/king-probe
Vcs-Git: https://salsa.debian.org/med-team/king-probe.git
Homepage: http://kinemage.biochem.duke.edu/software/probe.php

Package: king-probe
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evaluate and visualize protein interatomic packing
 king-probe is a program that allows one to evaluate atomic packing, either
 within or between molecules. It generates "contact dots" where
 atoms are in close contact.
 .
 The program king-probe generates "contact dots" at points on the van der
 Waals surface of atoms which are in close proximity to other atoms; reading
 atomic coordinates in protein databank (PDB) format files and writing
 color-coded dot lists (spikes where atoms clash) for inclusion in a
 kinemage.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f Makefile.linux probe

override_dh_auto_clean:
	dh_auto_clean
	rm -f probe

override_dh_auto_install:

=== debian/watch ===
version=4

opts="mode=git,pretty=2.16.160404+git%cd.%h" \
    https://github.com/rlabduke/probe.git HEAD

# asked for release tags in
#   https://github.com/rlabduke/probe/issues/4

## king-probe 2.16.160404+git20200121.9b198c1

=== debian/changelog ===
king-probe (2.16.160404+git20200121.9b198c1-3) unstable; urgency=medium

  * Add test and reference data
  * Add autopkgtests
  * Install docs and examples
  * Add notes about files used for autopkgtests
  * Add partial copyright info about files used for autopkgtests
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Name, Repository, Repository-Browse.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Sat, 18 Jul 2020 17:26:45 +0530

king-probe (2.16.160404+git20200121.9b198c1-2) unstable; urgency=medium

  * Do not hard code the build architecture compiler
    Closes: #961467

 -- Andreas Tille <tille@debian.org>  Mon, 25 May 2020 11:52:15 +0200

king-probe (2.16.160404+git20200121.9b198c1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Sat, 23 May 2020 17:24:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Malihe Asemani <ml.asemani@gmail.com>,
            Andreas Tille <tille@debian.org>,
-           Michael Prisant <michael.prisant@gmail.com>
+           Michael Prisant <michael.prisant@gmail.com>,
+           Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/king-probe
 Vcs-Git: https://salsa.debian.org/med-team/king-probe.git
 Homepage: http://kinemage.biochem.duke.edu/software/probe.php
+Rules-Requires-Root: no
 
 Package: king-probe
 Architecture: any

## king-probe 02.21

=== debian/changelog ===
king-probe (02.21-1) unstable; urgency=medium

  * Cleanup watch file
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jan 2022 16:54:59 +0100

king-probe (02.18-2) unstable; urgency=medium

  * Fix autopkgtest to reflect the result of using the proper radius for
    C=O carbonyl atoms (see https://github.com/rlabduke/probe/issues/9)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 16:40:30 +0200

king-probe (02.18-1) unstable; urgency=medium

  * Upstream is now using release tags - adapt watch file
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Do not mention reference data in include-binaries any more

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 09:11:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/king-probe
 Vcs-Git: https://salsa.debian.org/med-team/king-probe.git
 Homepage: http://kinemage.biochem.duke.edu/software/probe.php

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/rlabduke/probe/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
